<?php
/**
* Additional Woocommerce Settings.
*
* @package OTT Vlogger
*/

$ott_vlogger_default = ott_vlogger_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'ott_vlogger_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'ott-vlogger' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'ott_vlogger_theme_option_panel',
	)
);

	$wp_customize->add_setting('ott_vlogger_per_columns',
		array(
		'default'           => $ott_vlogger_default['ott_vlogger_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'ott_vlogger_sanitize_number_range',
		)
	);
	$wp_customize->add_control('ott_vlogger_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'ott-vlogger'),
		'section'     => 'ott_vlogger_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('ott_vlogger_product_per_page',
		array(
		'default'           => $ott_vlogger_default['ott_vlogger_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'ott_vlogger_sanitize_number_range',
		)
	);
	$wp_customize->add_control('ott_vlogger_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'ott-vlogger'),
		'section'     => 'ott_vlogger_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('ott_vlogger_show_hide_related_product',
    array(
        'default' => $ott_vlogger_default['ott_vlogger_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ott_vlogger_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('ott_vlogger_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'ott-vlogger'),
	        'section' => 'ott_vlogger_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('ott_vlogger_custom_related_products_number',
		array(
		'default'           => $ott_vlogger_default['ott_vlogger_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'ott_vlogger_sanitize_number_range',
		)
	);
	$wp_customize->add_control('ott_vlogger_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'ott-vlogger'),
		'section'     => 'ott_vlogger_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('ott_vlogger_custom_related_products_number_per_row',
		array(
		'default'           => $ott_vlogger_default['ott_vlogger_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'ott_vlogger_sanitize_number_range',
		)
	);
	$wp_customize->add_control('ott_vlogger_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'ott-vlogger'),
		'section'     => 'ott_vlogger_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);